#ifndef _FROGUTIL_H_
#define _FROGUTIL_H_

/***********************************************************************
**                                                                    **
**          /----------------------------------------------\          **
**         |  Delphes, a framework for the fast simulation  |         **
**         |       of a  generic collider experiment        |         **
**          \-------------  arXiv:0903.2225v1  ------------/          **
**                                                                    **
**                                                                    **
**   This package uses:                                               **
**   ------------------                                               **
**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
**   FROG: [hep-ex/0901.2718v1]                                       **
**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
**                                                                    **
** ------------------------------------------------------------------ **
**                                                                    **
**   Main authors:                                                    **
**   -------------                                                    **
**                                                                    **
**                Severine Ovyn                Xavier Rouby           **
**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
**                                                                    **
**         Center for Particle Physics and Phenomenology (CP3)        **
**                Universite catholique de Louvain (UCL)              **
**                     Louvain-la-Neuve, Belgium                      **
**                                                                    **
**                      Copyright (C) 2008-2009,                      **
**                        All rights reserved.                        **
**                                                                    **
***********************************************************************/


/// \file FrogUtil.h
/// \brief FrogDisplay class

#include "SmearUtil.h"
#include "FROG_Events.h"


using namespace std;
class FrogDisplay {

 public:
   /// Constructor
   FrogDisplay();
   FrogDisplay(const string& DetDatacard);
   FrogDisplay(const RESOLution* DetDatacard);
   FrogDisplay(const FrogDisplay& frog);
   FrogDisplay& operator=(const FrogDisplay& frog);
   ~FrogDisplay() {delete DET;}

  void BuildEvents(const string& outputfilename);
  void BuildGeom();

 private:
   RESOLution *DET;
   unsigned int nEntryFrog;

};

#endif
